org.apache.olingo.ext.proxy.commons

## Class EntityContainerInvocationHandler

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.EntityContainerInvocationHandler

- All Implemented Interfaces:
    InvocationHandler

      public final class EntityContainerInvocationHandler
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected String` | `namespace`
    `protected AbstractService<?>` | `service`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static URIBuilder` | `buildEntitySetURI(Class<?> ref, AbstractService<?> service)`
    `protected static URIBuilder` | `buildEntitySetURI(String entitySetName, AbstractService<?> service)`
    `protected <S extends EntityType<?>> void` | `deleteEntity(EntityInvocationHandler handler, URI entitySetURI)`
    `boolean` | `equals(Object obj)`
    `protected EdmEnabledODataClient` | `getClient()`
    `protected ComplexType<?>` | `getComplex(String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `protected Context` | `getContext()`
    `protected String` | `getEntityContainerName()`
    `static EntityContainerInvocationHandler` | `getInstance(Class<?> ref, AbstractService<?> service)`
    `protected String` | `getSchemaName()`
    `protected AbstractService<?>` | `getService()`
    `int` | `hashCode()`
    `Object` | `invoke(Object proxy, Method method, Object[] args)`
    `protected Object` | `invokeSelfMethod(Method method, Object[] args)`
    `protected boolean` | `isDeleted(EntityInvocationHandler handler)`
    `protected boolean` | `isSelfMethod(Method method)`
    `<T extends ComplexType<?>,NEC extends ComplexCollection<T,?,?>> NEC` | `newComplexCollection(Class<NEC> ref)`
    `<NE extends ComplexType<?>> NE` | `newComplexInstance(Class<NE> ref)`
    `EdmStreamValue` | `newEdmStreamValue(String contentType, InputStream stream)`
    `<T extends EntityType<?>,NEC extends EntityCollection<T,?,?>> NEC` | `newEntityCollection(Class<NEC> ref)`
    `<NE extends EntityType<?>> NE` | `newEntityInstance(Class<NE> ref)`
    `<T extends Serializable,NEC extends PrimitiveCollection<T>> NEC` | `newPrimitiveCollection(Class<T> ref)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### namespace

          protected final String namespace

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected AbstractService<?> service

  - ### Method Detail

    - #### getInstance

          public static EntityContainerInvocationHandler getInstance(Class<?> ref,
                                                                     AbstractService<?> service)

    - #### getService

          protected AbstractService<?> getService()

    - #### getEntityContainerName

          protected String getEntityContainerName()

    - #### getSchemaName

          protected String getSchemaName()

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Throws:
        `Throwable`

    - #### newEntityInstance

          public <NE extends EntityType<?>> NE newEntityInstance(Class<NE> ref)

    - #### newEntityCollection

          public <T extends EntityType<?>,NEC extends EntityCollection<T,?,?>> NEC newEntityCollection(Class<NEC> ref)

    - #### newComplexInstance

          public <NE extends ComplexType<?>> NE newComplexInstance(Class<NE> ref)

    - #### newComplexCollection

          public <T extends ComplexType<?>,NEC extends ComplexCollection<T,?,?>> NEC newComplexCollection(Class<NEC> ref)

    - #### newPrimitiveCollection

          public <T extends Serializable,NEC extends PrimitiveCollection<T>> NEC newPrimitiveCollection(Class<T> ref)

    - #### newEdmStreamValue

          public EdmStreamValue newEdmStreamValue(String contentType,
                                                  InputStream stream)

    - #### getClient

          protected EdmEnabledODataClient getClient()

    - #### getContext

          protected Context getContext()

    - #### isSelfMethod

          protected boolean isSelfMethod(Method method)

    - #### invokeSelfMethod

          protected Object invokeSelfMethod(Method method,
                                            Object[] args)
                                     throws Throwable

      Throws:
        `Throwable`

    - #### getComplex

          protected ComplexType<?> getComplex(String name,
                                              ClientValue value,
                                              Class<?> ref,
                                              EntityInvocationHandler handler,
                                              URI baseURI,
                                              boolean collectionItem)

    - #### isDeleted

          protected boolean isDeleted(EntityInvocationHandler handler)

    - #### deleteEntity

          protected <S extends EntityType<?>> void deleteEntity(EntityInvocationHandler handler,
                                                                URI entitySetURI)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(Class<?> ref,
                                                        AbstractService<?> service)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(String entitySetName,
                                                        AbstractService<?> service)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.